{
  buildPythonApplication,
  setuptools,
  pyyaml,
  types-pyyaml,
  yt-dlp,
  gallery-dl,
  ffmpeg,
  webcomix,
  fzf,
  ...
}:
let
  pname = "download";
  version = "2.6";
in
buildPythonApplication {
  inherit pname version;

  src = builtins.path {
    path = ../src/download/.;
    name = "${pname}-${version}";
  };

  pyproject = true;

  build-system = [ setuptools ];

  dependencies = [
    ffmpeg
    gallery-dl
    pyyaml
    types-pyyaml
    yt-dlp
    webcomix
    fzf
  ];
}
